Index: twm-1.0.4/src/system.twmrc
===================================================================
--- twm-1.0.4/src/system.twmrc.orig
+++ twm-1.0.4/src/system.twmrc
@@ -15,11 +15,11 @@
 NoGrabServer
 RestartPreviousState
 DecorateTransients
-TitleFont "-adobe-helvetica-bold-r-normal--*-120-*-*-*-*-*-*"
-ResizeFont "-adobe-helvetica-bold-r-normal--*-120-*-*-*-*-*-*"
-MenuFont "-adobe-helvetica-bold-r-normal--*-120-*-*-*-*-*-*"
-IconFont "-adobe-helvetica-bold-r-normal--*-100-*-*-*-*-*-*"
-IconManagerFont "-adobe-helvetica-bold-r-normal--*-100-*-*-*"
+TitleFont       "-gnu-unifont-medium-r-normal--16-*-*-*-*-*-iso10646-1,-*-helvetica-medium-r-*--17-*-*-*-*-*-*-*,-*-*-medium-r-normal-*-16-*-*-*-*-*-*-*,-*--16-*,*" 
+ResizeFont      "-gnu-unifont-medium-r-normal--16-*-*-*-*-*-iso10646-1,-*-helvetica-medium-r-*--17-*-*-*-*-*-*-*,-*-*-medium-r-normal-*-16-*-*-*-*-*-*-*,-*--16-*,*"
+MenuFont        "-gnu-unifont-medium-r-normal--16-*-*-*-*-*-iso10646-1,-*-helvetica-medium-r-*--17-*-*-*-*-*-*-*,-*-*-medium-r-normal-*-16-*-*-*-*-*-*-*,-*--16-*,*"
+IconFont        "-gnu-unifont-medium-r-normal--16-*-*-*-*-*-iso10646-1,-*-helvetica-medium-r-*--17-*-*-*-*-*-*-*,-*-*-medium-r-normal-*-16-*-*-*-*-*-*-*,-*--16-*,*"
+IconManagerFont "-gnu-unifont-medium-r-normal--16-*-*-*-*-*-iso10646-1,-*-helvetica-medium-r-*--17-*-*-*-*-*-*-*,-*-*-medium-r-normal-*-16-*-*-*-*-*-*-*,-*--16-*,*"
 #ClientBorderWidth
 
 Color
Index: xinit-1.1.0/startx.cpp
===================================================================
--- xinit-1.1.0/startx.cpp.orig
+++ xinit-1.1.0/startx.cpp
@@ -72,10 +72,115 @@ userclientrc=$HOME/.xinitrc
 sysclientrc=XINITDIR/xinitrc
 #endif
 
+XCOMM
+XCOMM check for installed servers
+XCOMM
+
+#ifdef linux
+
+INSTALLED_SERVERS=`ls -1 /usr/bin/Xorg /usr/X11R6/bin/XFree86  /usr/X11R6/bin/Xorg* 2>/dev/null`
+
+
+if [ -z "$INSTALLED_SERVERS" ]; then
+
+       echo ""
+       echo "You did not install any X-Server \(e.g. Xorg\)!"
+       echo "Please install at least one server to start X."
+       echo "I'm aborting now."
+       exit 1
+fi
+
+
+XCOMM
+XCOMM perhaps a windowmanager is specified?
+XCOMM
+XCOMM
+XCOMM find wmlist utility, else take twm as default (always there :-))
+XCOMM
+type -p wmlist &> /dev/null && WMLIST="`for i in $(wmlist); do echo $i; done | sort`"
+test -z "$WMLIST" && WMLIST="twm"
+
+test "$1" = "--" || { test -n "$1" && WANTEDWM=`basename "$1"` ; }
+
+XCOMM
+XCOMM User could have set a list of window manager in WINDOWMANAGERLIST.
+XCOMM go throu wms and check if user specified a reachable one.
+XCOMM
+
+for WM in $WMLIST $WINDOWMANAGERLIST
+do 
+    test "$WM" = "$WANTEDWM" && {
+XCOMM
+XCOMM       is it reachable via $PATH?
+XCOMM
+       type -p $WM &> /dev/null || {
+
+           echo "`basename $0`: error: the requested window manager '$1' could not be found!"
+           echo "Window manager must be one of (currently installed window managers):"
+           for i in $WMLIST; do echo $i; done
+           exit 1
+       }
+XCOMM
+XCOMM    OK, we got it, this will be the override for WINDOWMANAGER
+XCOMM
+       export WINDOWMANAGER=$WM
+       shift 1
+       break
+    }
+done
+
+unset WINDOWMANAGERLIST WMLIST WANTEDWM WM
+
+XCOMM
+XCOMM check for the first link
+XCOMM
+
+if [ ! -L /usr/X11R6/bin/X -a ! -L /usr/bin/X ]; then
+
+       echo ""
+       echo "There is no link /usr/X11R6/bin/X (/usr/bin/Xorg) to /var/X11R6/bin/X!"
+       echo "Please link the files as mentioned above or install the X-Server again."
+       echo "I'm aborting now."
+       exit 1
+fi
+
+XCOMM
+XCOMM check for the second link
+XCOMM  
+
+if [ ! -L /var/X11R6/bin/X ]; then
+
+       echo ""
+       echo "There is no link /var/X11R6/bin/X to the correct X Server binary."
+       echo "Please configure the correct X Server with SaX/SaX2, which will create"
+       echo "the missing link. I'm aborting now."
+       exit 1
+fi
+
+XCOMM
+XCOMM check if the Xorg file is an executable or an accidentially copied script or similar things
+XCOMM
+
+if [ ! -x /var/X11R6/bin/X ]; then
+
+       echo ""
+       echo "The file Xorg (binary of X-Server) doesn't seem to be a binary file."
+       echo "Please check it or / and install a new X-Server-binary."
+       echo "I'm aborting now."
+       exit 1
+fi
+
+#endif /* linux */
+
+XCOMM set $DISPLAYMANAGER_XSERVER $DISPLAYMANAGER_XSERVER_TCP_PORT_6000_OPEN
+. /etc/sysconfig/displaymanager
+
 userserverrc=$HOME/.xserverrc
 sysserverrc=XINITDIR/xserverrc
 defaultclient=XTERM
+XCOMM set X Server accordingly (Xorg/Xgl)
 defaultserver=XSERVER
+test -n "$DISPLAYMANAGER_XSERVER" && defaultserver=/usr/bin/$DISPLAYMANAGER_XSERVER
 defaultclientargs=""
 defaultserverargs=""
 defaultdisplay=":0"
@@ -301,6 +406,9 @@ else
         XINIT $client $clientargs -- $server $display $serverargs
 fi
 #else
+XCOMM handle TCP port 6000
+test "$DISPLAYMANAGER_XSERVER_TCP_PORT_6000_OPEN" != "yes" && \
+  serverargs="$serverargs -nolisten tcp"
 XINIT $client $clientargs -- $server $display $serverargs
 #endif
 
Index: xinit-1.1.0/xinitrc.cpp
===================================================================
--- xinit-1.1.0/xinitrc.cpp.orig
+++ xinit-1.1.0/xinitrc.cpp
@@ -96,8 +96,10 @@ fi
 
 #endif
 
-TWM &
+if [ -x /usr/X11R6/bin/fvwm -o -x /usr/bin/fvwm]; then
+    exec fvwm
+fi
 XCLOCK -geometry 50x50-1+1 &
 XTERM -geometry 80x50+494+51 &
 XTERM -geometry 80x20+494-0 &
-exec XTERM -geometry 80x66+0+0 -name login
+exec TWM
